#language: ru

@ignore
@exportscenarios

Функционал: Общие сценарии работы с документами

Как <Роль>
Я хочу <описание функционала>
Чтобы <бизнес-эффект>

Сценарий: Я загружаю заказы клиента из файла
	
	Дано Я заполняю константы Единицы измерения
	# При загрузке заказов нам не нужно проверять работу механизма проверки заказов
	Дано я выполняю код встроенного языка на сервере без контекста
	| 'Константы.к2ИспользоватьПроверкиДокументов.Установить(Ложь)' |
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда я жду открытия окна 'Заказы клиентов' в течение 20 секунд
	И я нажимаю на кнопку 'Загрузить заказы из файла'
	Тогда я жду открытия окна 'Загрузка заказов клиента из файла' в течение 20 секунд
	И я меняю значение переключателя 'Вариант загрузки' на 'Из внешнего файла'
	И я перехожу к закладке "Страница вариант загрузка из файла"
	Тогда я жду открытия окна 'Загрузка заказов клиента из файла' в течение 20 секунд
	И Я буду читать файл "Заказы.csv"
	И я нажимаю на кнопку 'Загрузить таблицу из файла...'
	И я жду открытия окна 'Заказы клиентов' в течение 60 секунд
	И Я закрываю окно 'Заказы клиентов'

Сценарий: Я загружаю заказы на перемещение из файла
	
	Дано Я заполняю константы Единицы измерения
	# При загрузке заказов нам не нужно проверять работу механизма проверки заказов
	Дано я выполняю код встроенного языка на сервере без контекста
	| 'Константы.к2ИспользоватьПроверкиДокументов.Установить(Ложь)' |
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И я нажимаю на кнопку 'Загрузить заказы из файла'
	Тогда открылось окно 'Загрузка заказов на перемещение из файла'
	И я меняю значение переключателя 'Вариант загрузки' на 'Из внешнего файла'
	И я перехожу к закладке "Страница вариант загрузка из файла"
	Тогда открылось окно 'Загрузка заказов на перемещение из файла'
	И Я буду читать файл "Заказы на перемещение.csv"
	И я нажимаю на кнопку 'Загрузить таблицу из файла...'
	И я жду открытия окна 'Заказы на перемещение' в течение 60 секунд
	И Я закрываю окно 'Заказы на перемещение'